Bug 191801 - Provide access to valueCurrent() and valueToBe() of WatchpointEvent and to the thrown exception of ExceptionEvent
Provide access to valueCurrent() and valueToBe() of WatchpointEvent and to th...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.0
PC Linux
: P2 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-10 14:24 UTC by Martin Entlicher
Modified: 2013-07-15 15:58 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Entlicher 2010-11-10 14:24:23 UTC
When a watchpoint (field breakpoint) is hit, it has valueCurrent and valueToBe values associated. It may be handy to be able access these values from condition of the field breakpoint.
Also these values could be made visible as variables in Variables view.
Comment 1 Martin Entlicher 2010-11-10 14:26:06 UTC
See also issue #191367.
Comment 2 Martin Entlicher 2013-02-21 17:37:10 UTC
Also the thrown exception of the ExceptionEvent should be accessible in Variables window.
Comment 3 Martin Entlicher 2013-02-21 17:57:38 UTC
Implemented by changeset:   247148:70205cbfecc8
http://hg.netbeans.org/core-main/rev/70205cbfecc8
Comment 4 Quality Engineering 2013-02-23 04:14:41 UTC
Integrated into 'main-golden', will be available in build *201302222300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/70205cbfecc8
User: mentlicher@netbeans.org
Log: #191801: Current value or the value to be assigned to a field is available in Variables window. Also the thrown exception is available there when exception breakpoint is hit.
Comment 5 Jiri Kovalsky 2013-07-15 15:58:50 UTC
Product Version: NetBeans IDE Dev (Build 201306191709)
Updates: Updates available
Java: 1.7.0_25; Java HotSpot(TM) 64-Bit Server VM 23.25-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_25-b13
System: Linux version 3.0.0-12-generic running on amd64; UTF-8; cs_CZ (nb)
User directory: /home/cesilko/.netbeans/dev
Cache directory: /home/cesilko/.cache/netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo